Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1058079 - GNOME System Status Menu Lock Button Missing
Summary: GNOME System Status Menu Lock Button Missing
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-screensaver
Version: 20
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Ray Strode [halfline]
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1638688
TreeView+ depends on / blocked
 
Reported: 2014-01-26 21:50 UTC by Gabriel Donnell
Modified: 2018-10-12 09:25 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1638688 (view as bug list)
Environment:
Last Closed: 2015-06-29 14:47:02 UTC


Attachments (Terms of Use)
GNOME System Status Menu Lock Button Missing Screenshot (deleted)
2014-01-26 22:00 UTC, Gabriel Donnell
no flags Details

Description Gabriel Donnell 2014-01-26 21:50:55 UTC
Description of problem:

The GNOME System Status Menu Lock Button is missing. I discovered this in Fedora 19 which led me to stay on Fedora 18. Since I need to Install & Upgrade several Laptops with Fedora 20, I decided to dig in my heels to research the issue so I could resolve it. Even after I completed the gnome-screensaver Installation & AutostartCondition Configuration Correction, the GNOME System Status Menu Lock Button is still missing.

After I searched Google, I was disappointed to discover from several sites that this occurred after Fedora 18 with GNOME 3.6. For Fedora 20 with GNOME 3.10 by default, the gnome-screensaver Package is not installed, and the Screen Lock is disabled. It is extremely default for me to understand how a Fedora Linux Installation would be useful without the Screen Lock enabled by default.

During my numerous Google Searches with GNOME 3.10 Screen Captures & Videos, I noticed that Lock Button is supposed to be located between the Settings & Power Button.

I followed the common resolution & workaround specified in various Web Pages which enable the gnome-screensaver for a single user.

I corrected the AutostartCondition Configuration to the following GNOME System Configuration File because I wanted it to apply for all users.
/etc/xdg/autostart/gnome-screensaver.desktop

Version-Release number of selected component (if applicable):
* gnome-shell-3.10.3-2.fc20.x86_64
* gnome-screensaver-3.6.1-6.fc20.x86_64

How reproducible:
Everytime

Steps to Reproduce:

1. Perform the Fedora 20 Installation with GNOME Environment Default which should not include gnome-screensaver Package Installation.

2. Authenticate at the GNOME Session Prompt.

3. Click on the GNOME System Status Menu with any mouse button to confirm that there is no Lock Button.

4. Press the Super+L Key Sequence to confirm that Screen Lock does not manually engage.

5. Let GNOME Session set idle to confirm that Screen Lock does not automatically engage.

6. Launch gnome-terminal.

7. RPM Query gnome-screensaver to confirm that it was not installed.
rpm --query gnome-screensaver

8. YUM Install gnome-screensaver as root.
yum --{assumeyes,verbose} install gnome-screensaver

9. Log Out of GNOME Session.

10. Authenticate at the GNOME Session Prompt.

11. Click on the GNOME System Status Menu with any mouse button to confirm that there still is no Lock Button.

12. Press the Super+L Key Sequence to confirm that Screen Lock still does not manually engage.

13. Let GNOME Session set idle to confirm that Screen Lock still does not automatically engage.

14. Launch gnome-terminal as root.

15. Correct the AutostartCondition Configuration to the GNOME System Configuration File.
sed --in-place=."$(printf '0x%8.8lx\n' "$(date '+%s')")" '/AutostartCondition/d' /etc/xdg/autostart/gnome-screensaver.desktop

16. Log Out of GNOME Session.

17. Authenticate at the GNOME Session Prompt.

18. Press the Super+L Key Sequence to confirm that Screen Lock now does manually engage. This problem is corrected.

19. Let GNOME Session set idle to confirm that Screen Lock now does automatically engage. This problem is corrected.

20. Click on the GNOME System Status Menu with any mouse button to confirm that there still is no Lock Button. This problem is not corrected.

Actual results:
GNOME System Status Menu has no Lock Button between the Settings & Power Button.

Expected results:
GNOME System Status Menu is supposed have the Lock Button located between the Settings & Power Button.

Additional info:
Please refer to the following Web Pages which provide the resolution & workaround to enable the gnome-screensaver for a single user:
* https://ask.fedoraproject.org/en/question/35171/no-screen-lock
* https://wiki.fysik.dtu.dk/it/Fedora_Linux_Tips_and_Tricks#lock-screen
* http://youtu.be/ALXz83NgSrI

Comment 1 Gabriel Donnell 2014-01-26 22:00:43 UTC
Created attachment 855811 [details]
GNOME System Status Menu Lock Button Missing Screenshot

Comment 2 N Musolino 2014-07-03 13:56:52 UTC
Confirmed on my system with GNOME Shell 3.10.4 and FC20.

Comment 3 Karel Zak 2015-02-03 13:55:03 UTC
I also don't see "Lock" button, f21... very useless.

Comment 4 Fedora End Of Life 2015-05-29 10:41:35 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 5 Fedora End Of Life 2015-06-29 14:47:02 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.